summaryrefslogtreecommitdiff
path: root/dev-python/docutils
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-05-10 06:53:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-05-10 06:53:43 +0000
commit2c151520cf0208b063dedd9f0aeb04eaad54c1af (patch)
treeea5e88e2dfbc5adaec5139b75e838d55bb725b4f /dev-python/docutils
parent7f7e3a8f33bbf2fd204e5e9510395a0585591ed5 (diff)
downloadbaldeagleos-repo-2c151520cf0208b063dedd9f0aeb04eaad54c1af.tar.gz
baldeagleos-repo-2c151520cf0208b063dedd9f0aeb04eaad54c1af.tar.xz
baldeagleos-repo-2c151520cf0208b063dedd9f0aeb04eaad54c1af.zip
Adding metadata
Diffstat (limited to 'dev-python/docutils')
-rw-r--r--dev-python/docutils/Manifest1
-rw-r--r--dev-python/docutils/docutils-0.23_rc1.ebuild64
2 files changed, 65 insertions, 0 deletions
diff --git a/dev-python/docutils/Manifest b/dev-python/docutils/Manifest
index f895c46b10ad..0fc4d8fcb82a 100644
--- a/dev-python/docutils/Manifest
+++ b/dev-python/docutils/Manifest
@@ -1 +1,2 @@
DIST docutils-0.22.4.tar.gz 2291750 BLAKE2B ec9ef492f067d91a3300a7707a88426d08714b85ff2970d6bdf8f94e8a7a42c576364445c0997dee5d19a76ab763793465ed131bb6ce6453c058d61371aed61c SHA512 80f4450f1ab81eb2425e246e1436cecda1ecd0c0ff70c24d34c2f651ab70afd55577a809b50ccd73d41e098790582fdc3b6594511308b51efe0c3005edbdcf72
+DIST docutils-0.23rc1.tar.gz 2303934 BLAKE2B 1ee8ba3f05e00e6d1068116351868c8face1c89d9f2bf2b6d0a28a294e5b959d2759c142e911ac4d840158f3e13af22981071e121db619b3102a58b405cc8517 SHA512 6c92aa01176acc7587e9ee37867b1be3a16a8572eba7498a4de9358f0bcf5ae99754b3516d83719954a738242f05e386966cf03341520a017292ed3bcffb9e34
diff --git a/dev-python/docutils/docutils-0.23_rc1.ebuild b/dev-python/docutils/docutils-0.23_rc1.ebuild
new file mode 100644
index 000000000000..3b70b3ec1cdd
--- /dev/null
+++ b/dev-python/docutils/docutils-0.23_rc1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
+HOMEPAGE="
+ https://docutils.sourceforge.io/
+ https://pypi.org/project/docutils/
+"
+
+# GPL-3+ only for emacs/rst.el
+LICENSE="BSD BSD-2 GPL-3+ PSF-2.4 public-domain"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+RDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+"
+
+python_compile_all() {
+ # Generate html docs from reStructured text sources.
+
+ # Place html4css1.css in base directory to ensure that the generated reference to it is correct.
+ cp docutils/writers/html4css1/html4css1.css . || die
+
+ cd tools || die
+ "${EPYTHON}" buildhtml.py --input-encoding=utf-8 --no-datestamp \
+ --stylesheet-path=../html4css1.css, --traceback ../docs || die
+}
+
+src_test() {
+ cd test || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" alltests.py -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Install tools.
+ python_doscript tools/buildhtml.py
+}
+
+python_install_all() {
+ local DOCS=( *.rst )
+ local HTML_DOCS=( docs tools docutils/writers/html4css1/html4css1.css )
+
+ distutils-r1_python_install_all
+}